<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for coupa in coupa package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  coupa module in coupa package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Coupa',
    'names'         => 'Coupas',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Coupas',
        'sub'   => 'Coupas',
        'list'  => 'List of coupas',
        'edit'  => 'Edit coupa',
        'create'    => 'Create new coupa'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'unique_id'                  => 'Please enter unique id',
        'name'                       => 'Please enter name',
        'email'                      => 'Please enter email',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => '',
        'deleted_at'                 => '',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'unique_id'                  => 'Unique id',
        'name'                       => 'Name',
        'email'                      => 'Email',
        'created_at'                 => 'Created at',
        'updated_at'                 => '',
        'deleted_at'                 => '',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'unique_id'                  => ['name' => 'Unique id', 'data-column' => 1, 'checked'],
        'name'                       => ['name' => 'Name', 'data-column' => 2, 'checked'],
        'email'                      => ['name' => 'Email', 'data-column' => 3, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Coupas',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
