<?php

// API routes  for coupa
Route::prefix('{guard}/coupa')->group(function () {
    Route::get('coupa/form/{element}', 'CoupaAPIController@form');
    Route::resource('coupa', 'CoupaAPIController');
});

// Public routes for coupa
Route::get('coupas/', 'CoupaPublicController@index');
Route::get('coupas/{slug?}', 'CoupaPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for coupas
            Route::prefix('{guard}/coupa')->group(function () {
                Route::get('coupa/form/{element}', 'CoupaAPIController@form');
                Route::apiResource('coupa', 'CoupaAPIController');
            });
            // Public routes for coupas
            Route::get('coupa/Coupa', 'CoupaPublicController@getCoupa');
        }
    );
}

