<?php

namespace B2buy\Coupa;

use DB;
use Illuminate\Database\Seeder;

class CoupaTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('coupas')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'coupa.coupa.view',
                'name'      => 'View Coupa',
            ],
            [
                'slug'      => 'coupa.coupa.create',
                'name'      => 'Create Coupa',
            ],
            [
                'slug'      => 'coupa.coupa.edit',
                'name'      => 'Update Coupa',
            ],
            [
                'slug'      => 'coupa.coupa.delete',
                'name'      => 'Delete Coupa',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/coupa/coupa',
                'name'        => 'Coupa',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/coupa/coupa',
                'name'        => 'Coupa',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'coupa',
                'name'        => 'Coupa',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Coupa',
                'module'    => 'Coupa',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'coupa.coupa.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
