<?php

// web routes  for coupa
Route::prefix('{guard}/coupa')->group(function () {
    Route::resource('coupa', 'CoupaResourceController');
});

// Public routes for coupa
Route::get('coupas/', 'CoupaPublicController@index');
Route::get('coupas/{slug?}', 'CoupaPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'CoupaResourceController');
            });
            // Public routes for pages
            Route::get('coupas/', 'CoupaPublicController@index');
            Route::get('coupas/{slug?}', 'CoupaPublicController@show');
        }
    );
}

